Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000129KdenliveBuild Systempublic2008-04-27 07:322008-11-12 23:00
Reporterrick_777 
Assigned To 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version0.7.0 beta 
Summary0000129: can't build as of SVN 27/04/2008 due to errors in clipmanager.cpp
Descriptionclipmanager.cpp throws a lot of errors and warnings and the compile's halted.
Additional Information/home/rick/dl/multimedia/kdenlive/kdenlive/kdenlive/./initeffects.h:40: error: ISO C++ forbids declaration of ‘Repository’ with no type
/home/rick/dl/multimedia/kdenlive/kdenlive/kdenlive/./initeffects.h:40: error: invalid use of ‘::’
/home/rick/dl/multimedia/kdenlive/kdenlive/kdenlive/./initeffects.h:40: error: expected ‘;’ before ‘*’ token
/home/rick/dl/multimedia/kdenlive/kdenlive/kdenlive/clipmanager.cpp:42: warning: unused parameter ‘parent’
/home/rick/dl/multimedia/kdenlive/kdenlive/kdenlive/clipmanager.cpp:42: warning: unused parameter ‘name’
/home/rick/dl/multimedia/kdenlive/kdenlive/kdenlive/clipmanager.cpp:319: warning: unused parameter ‘pix’
/home/rick/dl/multimedia/kdenlive/kdenlive/kdenlive/clipmanager.cpp:411: warning: unused parameter ‘thumbnailFrame’
/home/rick/dl/multimedia/kdenlive/kdenlive/kdenlive/clipmanager.cpp:535: warning: unused parameter ‘extension’
/home/rick/dl/multimedia/kdenlive/kdenlive/kdenlive/clipmanager.cpp: In member function ‘QValueList<QPoint> ClipManager::virtualZones()’:
/home/rick/dl/multimedia/kdenlive/kdenlive/kdenlive/clipmanager.cpp:741: warning: passing ‘double’ for argument 1 to ‘QPoint::QPoint(int, int)’
/home/rick/dl/multimedia/kdenlive/kdenlive/kdenlive/clipmanager.cpp:741: warning: passing ‘double’ for argument 2 to ‘QPoint::QPoint(int, int)’
/home/rick/dl/multimedia/kdenlive/kdenlive/kdenlive/clipmanager.cpp: In member function ‘DocClipBase* ClipManager::findClip(const KURL&)’:
/home/rick/dl/multimedia/kdenlive/kdenlive/kdenlive/clipmanager.cpp:752: warning: unused variable ‘avClip’
/home/rick/dl/multimedia/kdenlive/kdenlive/kdenlive/clipmanager.cpp: At global scope:
/home/rick/dl/multimedia/kdenlive/kdenlive/kdenlive/clipmanager.cpp:864: warning: unused parameter ‘file’
/home/rick/dl/multimedia/kdenlive/kdenlive/kdenlive/clipmanager.cpp:883: warning: unused parameter ‘clip’
/home/rick/dl/multimedia/kdenlive/kdenlive/kdenlive/clipmanager.cpp: In member function ‘DocClipBase* ClipManager::addTemporaryClip(const KURL&)’:
/home/rick/dl/multimedia/kdenlive/kdenlive/kdenlive/clipmanager.cpp:909: warning: passing ‘double’ for argument 1 to ‘void Timecode::setFormat(int, bool, Timecode::Formats)’
/home/rick/dl/multimedia/kdenlive/kdenlive/kdenlive/clipmanager.cpp: At global scope:
/home/rick/dl/multimedia/kdenlive/kdenlive/kdenlive/clipmanager.cpp:925: warning: unused parameter ‘frame’
/home/rick/dl/multimedia/kdenlive/kdenlive/kdenlive/clipmanager.cpp: In member function ‘void ClipManager::refreshThumbNails()’:
/home/rick/dl/multimedia/kdenlive/kdenlive/kdenlive/clipmanager.cpp:935: warning: unused variable ‘result’
/usr/lib/qt3/include/qptrlist.h: In member function ‘void QPtrList<type>::deleteItem(void*) [with type = KConfigBackEnd]’:
/home/rick/dl/multimedia/kdenlive/kdenlive/kdenlive/clipmanager.cpp:941: instantiated from here
/usr/lib/qt3/include/qptrlist.h:150: warning: possible problem detected in invocation of delete operator:
/usr/lib/qt3/include/qptrlist.h:150: warning: invalid use of undefined type ‘struct KConfigBackEnd’
/usr/include/kconfigbase.h:38: warning: forward declaration of ‘struct KConfigBackEnd’
/usr/lib/qt3/include/qptrlist.h:150: note: neither the destructor nor the class-specific operator delete will be called, even if they are declared when the class is defined.
/home/rick/dl/multimedia/kdenlive/kdenlive/kdenlive/clipmanager.cpp: In member function ‘DocClipBase* ClipManager::insertXMLClip(const QDomElement&)’:
/home/rick/dl/multimedia/kdenlive/kdenlive/kdenlive/clipmanager.cpp:796: warning: control reaches end of non-void function
make[2]: *** [kdenlive/CMakeFiles/kdenlive.dir/clipmanager.o] Error 1
make[1]: *** [kdenlive/CMakeFiles/kdenlive.dir/all] Error 2
make: *** [all] Error 2
TagsNo tags attached.
Build/Install Method
Attached Files

- Relationships

-  Notes
(0000273)
madsdyd (administrator)
2008-09-26 23:03

If believe this issue has been fixed, and I am closing it.

If you believe this is an error, or can reproduce this issue using the KDE4/qt4 version of Kdenlive, please file a new report.

If you have trouble building/obtaining the KDE4/qt4 version of Kdenlive, please consult http://en.wikibooks.org/wiki/Kdenlive/Getting_and_installing [^]

You may especially be interessted in the Kdenlive Builder Wizard, available at http://www.kde-apps.org/content/show.php?content=85826 [^] .

Note, that you do not need to run KDE4 to build and run the Kdenlive KDE4 version.

- Issue History
Date Modified Username Field Change
2008-04-27 07:32 rick_777 New Issue
2008-09-26 23:03 madsdyd Status new => closed
2008-09-26 23:03 madsdyd Note Added: 0000273
2008-09-26 23:03 madsdyd Resolution open => fixed
2008-09-26 23:03 madsdyd Fixed in Version => Recent git
2008-11-12 23:00 madsdyd Fixed in Version Recent git => 0.7.0 beta


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker